# Uses of Class
org.apache.commons.math3.geometry.euclidean.threed.RotationOrder

Packages that use RotationOrder
Package
Description
org.apache.commons.math3.geometry.euclidean.threed
This package provides basic 3D geometry components.

## Uses of RotationOrder in org.apache.commons.math3.geometry.euclidean.threed

Fields in org.apache.commons.math3.geometry.euclidean.threed declared as RotationOrder
Modifier and Type
Field
Description
`static final RotationOrder`
RotationOrder.`XYX`
Set of Euler angles.
`static final RotationOrder`
RotationOrder.`XYZ`
Set of Cardan angles.
`static final RotationOrder`
RotationOrder.`XZX`
Set of Euler angles.
`static final RotationOrder`
RotationOrder.`XZY`
Set of Cardan angles.
`static final RotationOrder`
RotationOrder.`YXY`
Set of Euler angles.
`static final RotationOrder`
RotationOrder.`YXZ`
Set of Cardan angles.
`static final RotationOrder`
RotationOrder.`YZX`
Set of Cardan angles.
`static final RotationOrder`
RotationOrder.`YZY`
Set of Euler angles.
`static final RotationOrder`
RotationOrder.`ZXY`
Set of Cardan angles.
`static final RotationOrder`
RotationOrder.`ZXZ`
Set of Euler angles.
`static final RotationOrder`
RotationOrder.`ZYX`
Set of Cardan angles.
`static final RotationOrder`
RotationOrder.`ZYZ`
Set of Euler angles.
Methods in org.apache.commons.math3.geometry.euclidean.threed with parameters of type RotationOrder
Modifier and Type
Method
Description
`T[]`
FieldRotation.`getAngles(RotationOrder order)`
Deprecated.
as of 3.6, replaced with `FieldRotation.getAngles(RotationOrder, RotationConvention)`
`T[]`
FieldRotation.`getAngles(RotationOrder order, RotationConvention convention)`
Get the Cardan or Euler angles corresponding to the instance.
`double[]`
Rotation.`getAngles(RotationOrder order)`
Deprecated.
as of 3.6, replaced with `Rotation.getAngles(RotationOrder, RotationConvention)`
`double[]`
Rotation.`getAngles(RotationOrder order, RotationConvention convention)`
Get the Cardan or Euler angles corresponding to the instance.
Constructors in org.apache.commons.math3.geometry.euclidean.threed with parameters of type RotationOrder
Modifier
Constructor
Description
``
`FieldRotation(RotationOrder order, RotationConvention convention, T alpha1, T alpha2, T alpha3)`
Build a rotation from three Cardan or Euler elementary rotations.
``
`FieldRotation(RotationOrder order, T alpha1, T alpha2, T alpha3)`
Deprecated.
as of 3.6, replaced with `FieldRotation(RotationOrder, RotationConvention, RealFieldElement, RealFieldElement, RealFieldElement)`
``
`Rotation(RotationOrder order, double alpha1, double alpha2, double alpha3)`
Deprecated.
as of 3.6, replaced with `Rotation(RotationOrder, RotationConvention, double, double, double)`
``
`Rotation(RotationOrder order, RotationConvention convention, double alpha1, double alpha2, double alpha3)`
Build a rotation from three Cardan or Euler elementary rotations.